ClassFactory.h File Reference

Contains the ClassFactory class for registering Field3D classes. More...

`#include <boost/scoped_ptr.hpp>`
`#include <map>`
`#include <vector>`
`#include "Field.h"`
`#include "FieldIO.h"`
`#include "FieldMappingIO.h"`
`#include "ns.h"`

Go to the source code of this file.

## Classes

class | ClassFactory

## Detailed Description

Contains the ClassFactory class for registering Field3D classes.

Definition in file ClassFactory.h.